import { makeAutoObservable } from "mobx"

class OutdoorMapStore {
    addLandmarkPanelVisible: boolean = false

    constructor() {
        makeAutoObservable(this)
    }

    setAddLandmarkPanelVisible(state: boolean) {
        this.addLandmarkPanelVisible = state;
    }

    
}

export default new OutdoorMapStore()